# Copyright 1999-2017. Plesk International GmbH. All rights reserved.


def resctrl_setuid(uid):
    from ctypes import cdll
    try:
        resctrl = cdll.LoadLibrary('/usr/lib64/sw/libplesk_setuid.so')
        resctrl.setuid(uid)
    except OSError:
        # Likely resource controller is not installed.
        import os
        os.setuid(uid)

